// $Id: CHANGELOG.txt,v 1.15.4.104 2011/02/19 19:06:29 jareyero Exp $

6.x-1.7 to 6.x-1.8
------------------
- Replaced obsoleted 'split' function by 'explode' (PHP 5.3), #871706
- Renamed locales_target 'status' field to i18n_status, for compatibility with other modules, #857442
- Added page overview for multilingual variables, help clean up of leftover values, #905428
- #782018 by plach | Jose Reyero: Fixed Child Items not showing in String Search

6.x-1.6 to 6.x-1.7
------------------
- Fixed: Missing function i18n_taxonomy_translate_term_name(), by srobert72, #870366
- Fixed: Parameter 1 to menu_nodeapi() expected to be a reference (php5.3), by setvik, #886700
- Fixed: Multilingual variables cache being rebuilt every page load, by patrick2000, #905428
- Improved variable api, added i18n_variable(), extended i18n_variable_del()
- Improved variable settings, variables for default language are now set to main table

6.x-1.5 to 6.x-1.6
------------------
- Fixed: issues with i18nvariables, do not check anymore i18n_variables on initialization, by Jose, #850708
- Fixed: Menu item's language is lost after node update, by neochief, #514630
- Fixed: PHP notices, by eMPee584, #769318
- Delete description on menu item delete, #844208 by plach
- Fixed: Node type help not translated, by NaX, #685788
- Some improvements to i18nmenu API, by plach, #386372 
- Renamed theme_taxonomy_term_page() to theme_i18ntaxonomy_term_page() to avoid namespace conflicts
- Added some taxonomy API functions: i18ntaxonomy_translate_term_name()....
- Fixed: Access denied to database query (LOCK TABLES) on i18n_variable_set(), #769260
- Reworked variable initialization to fix multiple issues (front page, etc), #826774
- Some changes to variables API, added new function: i18n_variable_get()
- Fixed: Node type help not translated, by NaX, #685788

6.x-1.4 to 6.x-1.5
------------------
- Fixed: taxonomy name/help not translated, by miro_dietiker, #686896
- Disabled language selection when editing menu items, by swentel, #694680
- Reworked variable initialization to fox static cache issues with Drupal 6.17 (drupal_is_front_page), #817164
- Fixed l10n_client support, added missing strings for translation, by miro_dietiker, khaled.zaidan, #304434
- Fixed duplicates in locales source, by Dippers, #782036
- Fixed warning during update script (possibly ids are the same), #783978
- Fixed maxlength, for node translation autocomplete, by cedrid, #802418
- Fixed i18n_init not run early enough, inconsistent menu items, #614548
- Fixed wrong data type in query for i18n_blocks (pgsql), by jmpoure, #709272
- Added i18nstrings_string() for 'plain strings', don't do unneeded filtering.
- Fixed: Make menu title translatable (blocks), by moritzz, #356375
- Moved i18nviews module to new project,http://drupal.org/project/i18nviews, #788290
- Fixed: errors when taxonomy not set, #743492
- Fixed update issues, for i18nstrings, #79644
- New feature: Optionally translate default language in tt(), by miro_dietiker and markus_petrux, #676002
- Moved i18n_test module to "Testing" package, #799730
- Fixed: The "All languages" option can't save back on blocks, #766678
- Marked obsolete functions tt() and to(). Replaced by i18nstrings() and i18nstrings_update()
- Restore back function tt() to prevent "Fatal error: Call to undefined function tt()" in other modules, by markus_petrux, #358839
- Added support for optional default language translation, by Miro Dietiker, #676002

6.x-1.3 to 6.x-1.4
------------------
- Added some unit tests for strings, blocks and taxonomy
- Fixed: Block translations deleted on refresh, #732680
- Fixed: warning in node form causes PHP notice, by swentel, #664944
- Fixed: i18nblocks conflicts with modules and themes, by JohnAlbin, #457512
- Some clean up to i18nstrings API: Dropped update option from i18nstrings_translate()
- Disable content selection during synchronization, by Pisco, #648348
- Add CSS class to body tag based on language, by Garrett Albright, #661448
- Added compatibility with ctools page manager, by Kars-T, #698942
- Added support for taxonomy_override_selector, by hefox, #619726
- Fixed: Configure string translation tab not showing up, #732368
- Fixed: Views content negotiation filter not working, by markus_petrux, #650552
- PHP 5.3 compatibiliby issue, by Berdir, #623138

6.x-1.2 to 6.x-1.3
-------------------
- Security update: Reworked string translation (i18nstrings) API, see #731632
- Fixed: Multiple issues with file synchronization, new files, other modules, #363065
- Usability: Added proper validation to vocabulary form, by andrewlevine #577066
- Fixed: Translated primary and secondary links appear even if they are disabled, by yrocq #631388
- Reworked i18nstrings API using proper namespaces, kept tt() for compatibility
- Added: New plugin for views translation, by nedjo, joostvdl, #360024

6.x-1.1 to 6.x-1.2
------------------ 
- Fixed: location fields not showing up for synchronization options, #426294
- Fixed: pgsql compatibility in upgrade scripts, by jandd, #383728
- Fixed: Translate all custom block titles (not only custom blocks), by brucepearson, #541048
- Added: Primary and secondary links' menus translation using preprocess, by neochief, #514108
- Changed: hook_locale(), new 'info' op, obsoleted 'refresh'
- Fixed: Some text groups losing strings when refreshed, #442428
- Fixed: Checkboxes fields are not translating in profile view pages, by neochief, #520692
- Added: Translate tags vocablary name on node form, by dboulet, #494576
- Fixed i18n Filter in Views results in SQL Error, by markus_petrux, #522162
- Added tag support for taxonomy synchronization, #605600
- Fixed buggy taxonomy synchronization, #365606, #365606, #379306
- Cleaning some module dependencies and old code.
- Fixed: Select translations autocomplete wrong filtering by hass, #557980
- Added: Translated taxonomy tokens by Hugo Wetterberg, googletorp, #344794
- Fixed: Global variable corruption by etzel, #580280
- New i18ncck module by neochief
- Got started with some unit tests and base test clase.
- Added support for image synchronization, #329825
- Added filefield/imagefield synchronization, by dasjo, #278426
- Fixed: Unset variables set to be multilingual don't show default values, by Island Usurper, #527534
- Reworked content type settings, now in own fieldset
- Added node language options:
  - Default to current language
  - No language neutral
  - Lock language once created

6.x-1.0 to 6.x-1.1
--------------------
- Fixed pgsql issue in i18nblocks query rewriting, by plj, #383772
- Changed i18ntaxonomy module weight for it to run before views, by Owen Barton, #386136
- Inprovements to i18nsync_node_available_fields(): cached, alter hook, ...
- Fixed node author field in i18nsync (author -> name), by mfb, #399216
- Fixed synchronization for nodereference fields, by dasjo, #242601
- Fixed: Unterminated entities in taxonomy module break page validation, by ao2, #478856
- Fixed multilingual variables issues, by rfay, #451120
- Fixed i18nstrings, wrong hook_schema_alter() implementation, by rsvelko, #466876
- Added location to i18nsync fields, by zedzed, #426294
- Added new dependence (i18ntaxonomy) and some taxonomy handling to i18nviews
- Fixed missing brackets around table name in query, #371429
- Fixed incompatible table locking, using proper API, #416912
- Fixed typos, by ao2, #429850, dboulet, #396402
- New feature: allow to select existing node as translation, #295682
- Fixed: translation relationship broken with i18nsync, by smh67, Beban, #367118
- Fixed: translated node forgets its menu settings, by brucepearson, #364375
- Fixed: missing node languages for LANGUAGE_SUPPORT_EXTENDED_NOT_DISPLAYED, by Roger Lopez, #365574

6.x-beta6 to 6.x-1.0
----------------------
- Added localization for content types and taxonomy in advanced search form, #363384
- Fixed multiple translation issues for node/add pages, included #353912
- Fixed Undefined function i18n_taxonomy_localize_terms(), by roborn, #362559
- Fixed: Unknown column status during i18ncontent update, #361228
- Fixed missing table wrapper in i18nblocks, by mrfelton, #362050
- Added: Display hierarchy when translating taxonomy, by Afief, #288086
- Added option for switching language when translating
- Moved admin settings to higher level tab
- Deleting profile strings when deleting fields, #356538
- Fixed: attached nodes synchronization not working, by doq, #359987
- Fixed: locale table growing on each request, issue with i18nstring_textgroup(), by drifter, #359249
- Fixed: missing i18nstrings module when enabling other modules module, #358839
- Fixed: taxonomy strings not properly synchronized (removed), by stella, #356542
- Removed obsoleted (was commented out) i18nblocks_blocks(), #356519
- Applied i18nblocks implementation of i18nstrings/locale_refresh(), by catch, #356520
- Applied i18ncontent tt/hook_locale() review, by catch, #356535
- Reworked taxonomy language logic when saving terms, set node/current language for tags.
- Added some more help text and links to the taxonomy admin pages.
- Mark translations a outdated when source string changes, by nedjo, #355366
- Changed default behavior: content types with multilingual support disabled are now language neutral, #270655
- Added i18n menu handling to node form, by Roger López, Stella, #348444
- Added additional language support level, by stella, Roger Lopez, #349193
- Fixed duplicated 'ts' function (CiviCRM), renamed to 'i18nstrings_ts', by mfb, #298154
- Move all admin settings to one place under Language, by stella, #343557
- CCK file fields not removed anymore when one of the translations is deleted, #313613
- Fixed: uploaded files removed when one of the translations is deleted, #313613
- Fixed issue with file sync list option, by nkoponen, #298327
- Added clean up feature to i18nstrings refresh
- Fixed multiple issues with content type strings translations, #343335
- Added some more parameter checking for i18nviews module, #294278
- Fixed issues with i18nstrings and menu items, by smk-ka, catch, sun, nedjo, #339057
- Fixed i18ntaxonomy schema mismatch (missing schema_alter), #288994
- Added index for locale table's location field, by sun, #349488
- Removed deprecated i18n_get_links().
- Tentative fix for: Story shows multiple times on front page, #334670
- Simplified mixed content selection logic
- Added content selection for views, by Jax, #283845
- Implemented workaround for race condition, #277711

6.x-beta4 to 6.x-beta6 (Rolled out beta5 with some errors so did a new release)
------------------------------------------------------------------------------
- Fixed multilingual blocks not translating, #305868
- Fixed notices, undefined variables, by eMPee584, #276161
- Fixed some issues with strings and menu install/updates
- Fixed typo in i18nblocks_update_2(), #317042
- Fixed warning illegal offset type, #294278
- Removed wrong version from info files, by Roger López, #319249
- Fixed help string, by Hass, #316784
- Uncountable code style issues have been fixed for coder module compliance and core rules.
- Fixed: Translation issues like missing periods, typos, etc.
- Fixed: Synchronization not happening when creating a translation, #313605
- Added some help texts for i18nstrings and warnings about the site default language, #314035
- Fixed: Column name conflict (oid) on PostgreSQL, #314126
- Fixed: Added English language to import/export page, #314035
- Fixed: Code tries to access object as array, by Skiller, #293275
- Fixed: Sub-menu items not localized, by Anselm Heaton, #298612
- Some clean up in i18ntaxonomy module, coding standards, cvs tags, etc..
- Fixed some race condition when creating term translations
- Multiple bug fixes and code improvements, by stella, #314846, #314880, #314853

6.x-beta3 to 6.x-beta4
----------------------
- Fixed issue with language dependent front page, that couldn't be used before
- Fixed postgresql compatibility issue, by miopa, #308554
- Fixed profile category string issues, #304451
- Renamed some modules, updated descriptions
- Fixed / improved some module help texts.
- Fixed multiple localization issues, by hass, #310852
- Fixed error with i18ncontent update, #295263
- Fixed warning in sync module, by vjacquin, #299064 and #294511
- Fixed issue with i18nblocks and system module weights, #299642
- Fixed warning in i18ntaxonomy, by mvc , #304003

6.x-beta2 to 6.x-beta3
----------------------
- Partial fix for node view forcing selection mode, #283839
- Fixed multiple taxonomy translation issues, by japanitrat, #292232
- Added some basic functionality to i18nviews module, wip
- Some clean up of update scripts, removed obsoleted functions.
- Moved selection mode initialization out of hook init, to first time it's needed.
- Fixed some issues with taxonomy and query rewriting rewriting, by vingbord, #260156 and #260151
- Fixed wrong data type in schema, by polarbear128, #289027
- Fixed issue with synchronization and empty fields as array (files)
- Added back CCK syncronization, by drewish, #293019
- Added new 'mixed' language selection option, by ablivio, #203798
- Moved language icons to a new project, http://drupal.org/project/languageicons

6.x-beta1 to 6.x-beta2
--------------------
- Better icon for Arabic, by Afief, #278140
- Added back i18nviews module for views specific features
- Fixed languageicons occassional warning, by eMPee584, #276161
- Commented out views hooks on i18ntaxonomy (not for the first version), #285660
- Fixed wrong duplicated translations (context/caching issue), #281471
- Added preliminary support for l10n client (Patch pending)
- Fixed missing dependency on i18nblocks, #279769
- Fixed i18npoll_nodeapi returning $node, breaking feeds and cron calls, #254022
- Fixed notice and possible i18n blocks not found, #278588
- Fixed node upgrade issue, #260626
- Removed references to obsolteted function i18n_get_normal_path(), #259603
- Wrong link and typos in taxonomy module, by AaronCollier, #259440
- Added Thai flag, by kengggg, #257387
- Fixed wrong link on help page, by steinmb, #257289
- Patch to prevent query rewriting for views, by Frank Steiner, #272432
- Taxonomies not syncing, by drewish, #256357
- Menu not refreshing locales, by Frank Steiner, #263124
- User profiles not translated on registration, by gustavlarson, #248089

6.x-dev to 6.x-beta1
--------------------
- Security update, http://drupal.org/node/250344
- Disabled CCK integration in i18nsync till there's a stable cck version
- Fixed multiple issues with selection modes and some old function clean up
- Fixed issues with menu administration pages, now showing all items for nodes
- Improved block management, no need for 'Translated' duplicated blocks anymore.
- Added new dependency for i18nmenu, now it works with i18nblocks
- Fixed: i18nstrings_to() not changing location, http://drupal.org/node/230750
- Fixed: taxonomy vocabulary setting not saved when set to 'none'
- Updated README.txt and INSTALL.txt files
- Added string refreshing for all the modules using i18nstrings.
- Fixed installation issues doing operations on enable hook instead of install.
- Fixed: wrong function name on i18ntaxonomy producing errors/warnings
- Fixed: blocks not saving language properly.
- Improved taxonomy vocabulary form, re-grouping the fields and with some help text.
- Fixed Call-time-pass-by reference, http://drupal.org/node/231856
- New refresh and update feature for i18nstrings (implemented for taxonomy and content)

5.x to 6.x
----------
07/03/2008
- Fixed file synchronization for translations
- Added field population for synchronized fields
- Translating taxonomy for new node translations
- Taxonomy synchronization is now a per content type option
23/02/2008
- Added aggregated polls: i18npoll.module
- Options for language icons: show/don't show for nodes and block

21/02/2008
- Upgraded i18ncontent, fully reworked, much cleaner now
- Improved i18nstrings, translation of strings without source, debug facility
- Replaced taxonomy term pages with localized version

19/02/2008 Initial dev release for Drupal 6
- Fully reworked block translation, language for blocks now, dropped old metablocks
- Fully reworked menu translation, uses Drupal 6 features and extended blocks
- Fully reworked taxonomy translation, all options in the same module now
- Better code documentation and help texts everywhere
- Reorganized package, no more experimental modules, all modules in its folder now
- Language icons in an independent module now
- Reworked strings handling (extended localization)
- Trimmed down parts now done by Drupal core
- Upgraded most of the modules, other are waiting on some dependencies (cck, views, nodeasblock, etc...)

4.7.x to 5.x
------------
- Upgraded all modules
- Added lots of features and new modules to the collection

4-7-4 to ....
--------------
- Added support for RTL languages
- Added native names for languages
- Cleaned up multilingual variable management
- Handling of attachments as file revisions. No need to duplicate anymore

4-6-0 to 4-7-4
--------------
30/11/2005
- Added basic workflow support for translations
- Lost of bug fixes
- Content administration tab for translations

20/08/2005
- Updated for HEAD
- Simplified patches

13/06/2005
- Fixed some minor bugs
- Created HOWTO.txt for misc documentation
- Added Russian flag
- Updated patches for 4.6.1

16/05/2005
- Updated README.txt, taxonomy translations
- Fixed i18n_includes.patch

4-5-0 to 4-6-0
--------------
24/04/2005
- Created 4-6 branch
- Updated docs

11/04/2005
- Fixed bug http://drupal.org/node/20305 (pgsql typo)
- Updated generated links to latest changes in l()
- Some code cleanup
- Update script from 4.5 to CVS

29/03/2005
- Japanese flag
- Updated contributors

26/03/2005
- Added some logic in query rewriting functions to get all terms & vocabs when administering categories and the right ones when editing a node.
- Reworked configuration options for flags. Now language appears in the alt text for icons. Accesibility++
- Added support for long locale names (http://drupal.org/node/14814). Still needs some fallback mechanism.
- Merging all the code in only one include file: i18n.inc
- Not running anymore the language name through localization system: http://drupal.org/node/19179
- Added & updated PostgreSQL schema
- Changed block HTML from using tables to HTML list, for consistency with the rest of Drupal blocks
- Added some contributed language flags
- Some cleaning up, WIP, preparing for 4.6 release

04/02/2005
- Applied patch http://drupal.org/node/15966 (Switch to translated nodes and taxonomy listings)
- Moved the file i18n.mysql and fixed bug
- Cleaned up the patches (NK)

02/02/2005
- Term translations in a new table
- Implemented db_rewrite_sql hook
- Improved taxonomy forms
- Fixed bug with update.php
- Moved most of the hooks to i18n.inc, to fix some problems and speed up cached pages

23/01/2005
- Reworked init system, module.inc patch not needed anymore
- Implemented hook_node_query_sql, node.module patch not needed anymore
- Using redirects from the main page depending on browser language
- Removed translations from taxonomy terms
- Added language to vocabularies

04/01/2004
- Now language icons are not displayed with teasers
- Fixed http://drupal.org/node/15062 (Inconsistent i18n_front_page vs. i18n_frontpage)
- Fixed http://drupal.org/node/14640 (Page not found)
- Fixed http://drupal.org/node/14475 (all init hooks disabled by cvs patch)

07/12/2004
- Fixed http://drupal.org/node/13982 (setting languages in config file fails)
- Changed configurable path to language icons, to configurable html tag. Reconfiguration of the module needed.
- Changed 'flags' to 'language icons', and the images to 16x12px png
- Fixed http://drupal.org/node/13319 (some issues with cached pages)
- Reworked initialization system. New patches for bootstrap.inc, module.inc

30/11/2004

- Updated to current DRUPAL-4-5 branch, won't work with 4.5.0 anymore
- Cleaned the code as suggested by Dries
- Renamed some database fields: 'lang' to 'language' in 'node' and 'taxonomy_term'

23/11/2004 [Full rewrite]
- Updated INSTALL.txt and README.txt
- Basic translation interface for nodes and taxonomy terms
- Simplified configuration, removed many options
- Language code is now kept only in url
- No need for include file anymore (patched common.inc::url)
- Moving ahead from multi-table approach
- Drop all the multi-table-synchronization logic
- Simple database patches for 'node' and 'taxonomy_term' tables

4-4-0 to 4-5-0
--------------
- Removed the common.inc patch 01, as it already got into the core
- Added language dependent variables
- Refined node and taxonomy synchronization
- Rearranged configuration interface
- Option to get supported languages from locale module
- Replaced some global variables with functions.
- Fixed an issue with outgoing links and url prefixing
- Some integration with locale module
- $languages changed to i18n_languages in the config file
- Added patch for locale system to get the language from i18n
- Partial rewriting and cleaning up of the code
- Now, any two letter prefix in url will be taken as language
- Fixed bug with url rewriting

13/07/2004
- Updated according to patches and description on http://drupal.org/node/view/8977

06/04/2004
- Changed options in conf file
- Added taxonomy synchronization
- Added node synchronization
- Added *real* content translation with language-dependant tables
- Repackaging: placed all the files under modules/i18n
- Fix Call to undefined function: drupal_get_path_map()
- Fixed small problem with drupal_goto

4-4-0
------------
- Initial release
